//
//  GetRoomDetailResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation

struct GetRoomDetailResponse: Decodable {
    let roomId: Int
    let price: Int
    let title: String
    let notice: String
    let isPaid: Bool
    let isAdult: Bool
    let isPrivateRoom: Bool
    let password: String?
    let tags: [String]
    let channelName: String?
    let beginDateTime: String
    let numberOfParticipants: Int
    let numberOfParticipantsTotal: Int
    let manager: GetRoomDetailManager
    let participatingUsers: [GetRoomDetailUser]
}

struct GetRoomDetailManager: Decodable {
    let id: Int
    let nickname: String
    let introduce: String
    let youtubeUrl: String?
    let instagramUrl: String?
    let websiteUrl: String?
    let blogUrl: String?
    let profileImageUrl: String
    let isCreator: Bool
}

struct GetRoomDetailUser: Decodable, Hashable {
    let id: Int
    let nickname: String
    let profileImageUrl: String
}
